# Interface methods for submodule: BYUMeshIO
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import MeshIOBaseProxy as _MeshIOBaseProxy


# Interface methods for class: BYUMeshIO
class BYUMeshIOProxy(_MeshIOBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def CanReadFile(self, fileName) -> bool:
		""""""
		...

	def ReadMeshInformation(self) -> None:
		""""""
		...

	def ReadPoints(self, buffer) -> None:
		""""""
		...

	def ReadCells(self, buffer) -> None:
		""""""
		...

	def ReadPointData(self, buffer) -> None:
		""""""
		...

	def ReadCellData(self, buffer) -> None:
		""""""
		...

	def CanWriteFile(self, fileName) -> bool:
		""""""
		...

	def WriteMeshInformation(self) -> None:
		""""""
		...

	def WritePoints(self, buffer) -> None:
		""""""
		...

	def WriteCells(self, buffer) -> None:
		""""""
		...

	def WritePointData(self, buffer) -> None:
		""""""
		...

	def WriteCellData(self, buffer) -> None:
		""""""
		...

	def Write(self) -> None:
		""""""
		...

